"""
In diesem Skript wird der Texteditor generiert.
"""

import sys

from PyQt5.QtWidgets import QApplication, QLineEdit, QMainWindow, QPlainTextEdit

from Classes import Verschneidung, Werkzeug
import json



#In der Klasse Verschneidung werden die Berechnungen zur Erstellung des G-Codes ausgeführt

def output_g_code(text_field):

    SETTINGS_PATH = './settings.json'

    with open(SETTINGS_PATH, 'r') as f:
        settings = json.load(f)

    verschneidung = Verschneidung.Verschneidung(settings)
    lines = verschneidung.output_g_code()
    for i, line in enumerate(lines):
        #text_field.clear()
        text_field.appendPlainText("n%s %s" % ((i + 1) * 10, line))

def print_test(text_field):
    text_field.appendPlainText("test")